h10293
s 00091/00000/00000
d D 1.1 83/03/23 16:17:51 bog 1 0
c date and time created 83/03/23 16:17:51 by bog
e
u
4
U
t
T
I 1
#############################################################################
#									    #
#	This material is confidential and is furnished under		    #
#	a written license agreement.  It may not be used,		    #
#	copied or disclosed to others except in accordance		    #
#	with the terms of that agreement.				    #
#									    #
#	Copyright (C) 1982 Graphic Software Systems, Inc.		    #
#	All rights reserved.						    #
#									    #
#############################################################################
#									    #
#	Function:  							    #
#		Subroutine EmLPut (L,Common,VarPtr)			    #
#			Input	L:	Logical value to stuff		    #
#				Common:	CHARACTER <common> code		    #
#				VarPtr:	Integer <variable> index	    #
#		    Variable stuffer for Menu subsystem.  Stuff I into	    #
#		    logical <variable> VarPtr in <common> Common.	    #
#									    #
#	Called By:							    #
#									    #
#	Routines Called:						    #
#									    #
#############################################################################
 
Subroutine EmLPut(L,Common,VarPtr)
CHARACTER Common
INTEGER VarPtr
LOGICAL L
 
CHARACTER C
INTEGER V
 
BEGINCOMMON
COMMON(BEAMSTATE)
COMMON(SWITCHES)
COMMON(STRAPS)
#COMMON(INITIALIZATION)
COMMON(COMMSTATE)
COMMON(COMMCAPABILITY)
COMMON(SPECIALKEYS)
COMMON(MENUMACHINE)
ENDCOMMON
 
C = Common			# Assume not indexed access
V = VarPtr
 
If (C < 0) {			# Indexed access
  V = V+MenIx-1			#  is 1-based
  C = -C			# Make <common> positive
  }
 
#Switch (C) {				# Switch on commons
{Goto (101,102,103,199,105,106,107,108),C
 
# Case MEmBeamState:	LBmSt(V) = L
    101 LBmSt(V) = L
    Goto 199
 
# Case MCommCap:	LCmCp(V) = L
    102 LCmCp(V) = L
    Goto 199
 
# Case MCommState:	LCmSt(V) = L
    103 LCmSt(V) = L
    Goto 199
 
# Case MEmInit:		LInit(V) = L
#   104 LInit(V) = L
#   Goto 199
 
# Case MenuMachine:	LMenu(V) = L
    105 LMenu(V) = L
    Goto 199
 
# Case MSpecialKeys:	LSpKey(V) = L
    106 LSpKey(V) = L
    Goto 199
 
# Case MEmStraps:	LStrap(V) = L
    107 LStrap(V) = L
    Goto 199
 
# Case MEmSwitches:	LSwtch(V) = L
    108 LSwtch(V) = L
 
  199 Continue
  }
Return
End
E 1
